List merchants
curl --request GET \
--url https://int-api.mx.com/merchants \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://int-api.mx.com/merchants"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://int-api.mx.com/merchants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"merchants": [
{
"created_at": "2017-04-20T19:30:12.000Z",
"guid": "MCH-7ed79542-884d-2b1b-dd74-501c5cc9d25b",
"logo_url": "https://s3.amazonaws.com/MD_Assets/merchant_logos/comcast.png",
"name": "Comcast",
"updated_at": "2018-09-28T21:13:53.000Z",
"website_url": "https://www.xfinity.com"
}
],
"pagination": {
"current_page": 1,
"per_page": 25,
"total_entries": 1,
"total_pages": 1
}
}Merchants
List merchants
GET
/
merchants
List merchants
This endpoint returns a paginated list of all the merchants in the MX system.
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Query Parameters
This will list only merchants in which the appended string appears.
Results are paginated. Specify current page.
This specifies the number of records to be returned on each page. Defaults to 25. The valid range is from 10 to 1000. If the value exceeds 1000, the default value of 25 will be used instead.
Response
200 - application/vnd.mx.api.v1+json
OK
Hide child attributes
Hide child attributes
Example:
"2017-04-20T19:30:12.000Z"
Example:
"MCH-7ed79542-884d-2b1b-dd74-501c5cc9d25b"
Example:
"https://s3.amazonaws.com/MD_Assets/merchant_logos/comcast.png"
Example:
"Comcast"
Example:
"2018-09-28T21:13:53.000Z"
Example:
"https://www.xfinity.com"
⌘I

